Bug 1960757 - [OVN] hostnetwork pod can access MCS port 22623 or 22624 on master
Summary: [OVN] hostnetwork pod can access MCS port 22623 or 22624 on master
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.8.0
Assignee: Casey Callendrello
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-14 18:35 UTC by Anurag saxena
Modified: 2021-07-27 23:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:08:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 542 0 None open Bug 1960757: CARRY: block MCS for shared-gateway mode. 2021-05-18 21:45:09 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:08:57 UTC

Description Anurag saxena 2021-05-14 18:35:56 UTC
Description of problem: Able to access MCS port on the master from a hostnetwork pod. Had AWS cluster.

Looks good on OpenshiftSDN though.

Version-Release number of selected component (if applicable):4.8.0-0.nightly-2021-05-14-075932


How reproducible:Always (regression)


Steps to Reproduce:
1.Create a hostnetwork pod in a test project 
2.curl -I https://<master_node_ip>:22623/config/master -k
3.

Actual results: Step 2 returns HTTP/1.1 200 OK

Expected results: Connection should be refused


Additional info: Let me know if any specific logs are needed

Comment 7 errata-xmlrpc 2021-07-27 23:08:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.